org.glassfish.jersey.server.model

## Interface Consuming

All Known Implementing Classes:
  ResourceMethod

    public interface Consuming

Model component that is able to consume media types. A component implementing this interface provides additional information about the supported consumed `media types`.

Author:
  Jakub Podlesak, Marek Potociar
See Also:
  `Consumes`, `Producing`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<jakarta.ws.rs.core.MediaType>` `getConsumedTypes()` Get the consumed media types supported by the component.

### Method Detail

#### getConsumedTypes

    List<jakarta.ws.rs.core.MediaType> getConsumedTypes()

Get the consumed media types supported by the component.

Returns:
  immutable collection of supported consumed media types.